<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>SignatoryProvider (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SignatoryProvider (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/signing/signatory/SignatorySupport.html" title="class in org.gradle.plugins.signing.signatory"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/signing/signatory/SignatoryProvider.html" target="_top">Frames</a></li>
<li><a href="SignatoryProvider.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing.signatory</div>
<h2 title="Interface SignatoryProvider" class="title">Interface SignatoryProvider&lt;T extends <a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The specific <a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory"><code>Signatory</code></a> subtype</dd></dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/gradle/plugins/signing/signatory/pgp/PgpSignatoryProvider.html" title="class in org.gradle.plugins.signing.signatory.pgp">PgpSignatoryProvider</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">SignatoryProvider&lt;T extends <a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory">Signatory</a>&gt;</span></pre>
<div class="block"><p>Provides implementations of signatory implementations for a project.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html#configure(org.gradle.plugins.signing.SigningExtension,%20groovy.lang.Closure)">configure</a></strong>(<a href="../../../../../org/gradle/plugins/signing/SigningExtension.html" title="class in org.gradle.plugins.signing">SigningExtension</a>&nbsp;settings,
         <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Evaluates the given DSL-containing-closure as signatory configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html" title="type parameter in SignatoryProvider">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html#getDefaultSignatory(org.gradle.api.Project)">getDefaultSignatory</a></strong>(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</code>
<div class="block">Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html" title="type parameter in SignatoryProvider">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html#getSignatory(java.lang.String)">getSignatory</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Retrieves the signatory with the given name.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="configure(org.gradle.plugins.signing.SigningExtension, groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configure</h4>
<pre>void&nbsp;configure(<a href="../../../../../org/gradle/plugins/signing/SigningExtension.html" title="class in org.gradle.plugins.signing">SigningExtension</a>&nbsp;settings,
             <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Evaluates the given DSL-containing-closure as signatory configuration.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>settings</code> - The signing settings for the project the configure is happening for</dd></dl>
</li>
</ul>
<a name="getDefaultSignatory(org.gradle.api.Project)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultSignatory</h4>
<pre><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html" title="type parameter in SignatoryProvider">T</a>&nbsp;getDefaultSignatory(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</pre>
<div class="block"><p>Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).</p>

 <p>This may be called multiple times and the implementor is free to return a different instance if the project state has changed in someway that influences the default signatory.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>project</code> - The project which the signatory is for</dd>
<dt><span class="strong">Returns:</span></dt><dd>The signatory, or <code>null</code> if there is insufficient information available to create one.</dd></dl>
</li>
</ul>
<a name="getSignatory(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSignatory</h4>
<pre><a href="../../../../../org/gradle/plugins/signing/signatory/SignatoryProvider.html" title="type parameter in SignatoryProvider">T</a>&nbsp;getSignatory(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Retrieves the signatory with the given name.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The desired signatory's name.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The signatory with the given name if found, or <code>null</code> if no signatory is found with this name.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/signing/signatory/Signatory.html" title="interface in org.gradle.plugins.signing.signatory"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/signing/signatory/SignatorySupport.html" title="class in org.gradle.plugins.signing.signatory"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/signing/signatory/SignatoryProvider.html" target="_top">Frames</a></li>
<li><a href="SignatoryProvider.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
